Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el
Class ExpressionFactoryImpl

    java.lang.Object
      javax.el.ExpressionFactory
          org.apache.el.ExpressionFactoryImpl

    public class ExpressionFactoryImpl

extends ExpressionFactory

Version:
  $Id: ExpressionFactoryImpl.java 959568 2010-07-01 09:35:23Z markt $
Author:
  Jacob Hookom [jacob@hookom.net]
See Also:
  `ExpressionFactory`

Constructor Summary
`ExpressionFactoryImpl()`

Method Summary
`Object` | `coerceToType(Object obj, Class<?> type)`
`MethodExpression` | `createMethodExpression(ELContext context, String expression, Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`ValueExpression` | `createValueExpression(ELContext context, String expression, Class<?> expectedType)`
`ValueExpression` | `createValueExpression(Object instance, Class<?> expectedType)`

Methods inherited from class javax.el.ExpressionFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionFactoryImpl

    public ExpressionFactoryImpl()

Method Detail

### coerceToType

    public Object coerceToType(Object obj,
                               Class<?> type)

  Specified by:
    `coerceToType` in class `ExpressionFactory`

### createMethodExpression

    public MethodExpression createMethodExpression(ELContext context,
                                                   String expression,
                                                   Class<?> expectedReturnType,
                                                   Class<?>[] expectedParamTypes)

  Specified by:
    `createMethodExpression` in class `ExpressionFactory`

### createValueExpression

    public ValueExpression createValueExpression(ELContext context,
                                                 String expression,
                                                 Class<?> expectedType)

  Specified by:
    `createValueExpression` in class `ExpressionFactory`

### createValueExpression

    public ValueExpression createValueExpression(Object instance,
                                                 Class<?> expectedType)

  Specified by:
    `createValueExpression` in class `ExpressionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.